gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecUInt64

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for unsigned 64bit integer properties.

Synopsis

- newtype ParamSpecUInt64 = ParamSpecUInt64 (ManagedPtr ParamSpecUInt64)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUInt64 o) => IsParamSpecUInt64 o
- toParamSpecUInt64 :: (MonadIO m, IsParamSpecUInt64 o) => o -> m ParamSpecUInt64

# Exported types

newtype ParamSpecUInt64 Source #

Memory-managed wrapper type.

Constructors

ParamSpecUInt64 (ManagedPtr ParamSpecUInt64) |

#### Instances

Instances details

Eq ParamSpecUInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt64 Methods (==) :: ParamSpecUInt64 -> ParamSpecUInt64 -> Bool Source # (/=) :: ParamSpecUInt64 -> ParamSpecUInt64 -> Bool Source #
BoxedPtr ParamSpecUInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt64 Methods boxedPtrCopy :: ParamSpecUInt64 -> IO ParamSpecUInt64 Source # boxedPtrFree :: ParamSpecUInt64 -> IO () Source #
ManagedPtrNewtype ParamSpecUInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt64 Methods toManagedPtr :: ParamSpecUInt64 -> ManagedPtr ParamSpecUInt64 Source #
TypedObject ParamSpecUInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt64 Methods glibType :: IO GType Source #
HasParentTypes ParamSpecUInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt64
type ParentTypes ParamSpecUInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt64 type ParentTypes ParamSpecUInt64 = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUInt64 o) => IsParamSpecUInt64 o Source #

Type class for types which can be safely cast to `ParamSpecUInt64`, for instance with `toParamSpecUInt64`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecUInt64 o) => IsParamSpecUInt64 o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecUInt64

toParamSpecUInt64 :: (MonadIO m, IsParamSpecUInt64 o) => o -> m ParamSpecUInt64 Source #

Cast to `ParamSpecUInt64`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.